"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
const utils_functions = require("./utils/functions.js");
const store = require("./store.js");
require("./utils/log.js");
require("./utils/qqmap-wx-jssdk.min.js");
require("./api/other.js");
require("./utils/request.js");
require("./config/host.js");
if (!Math) {
  "./pages/Index/index.js";
  "./pages/UserDetail/index.js";
  "./pages/ChatDetail/index.js";
  "./pages/UserCoupons/index.js";
  "./pages/Addr/index.js";
  "./pages/AddrDetail/index.js";
  "./pages/Card/index.js";
  "./pages/CardDetail/index.js";
  "./pages/Pet/index.js";
  "./pages/Draw/index.js";
  "./pages/PetDetail/index.js";
  "./pages/FeedLog/index.js";
  "./pages/OrderPage/index.js";
  "./pages/Login/index.js";
  "./pages/Pet/create.js";
  "./pages/UserOrderPage/index.js";
  "./pages/PrivacyPolicy/PrivacyPolicy.js";
  "./pages/AboutUs/AboutUs.js";
}
const _sfc_main = {
  onLaunch: function() {
    console.log("App Launch");
  },
  onShow: function() {
  },
  onHide: function() {
    console.log("App Hide");
  },
  mounted() {
  },
  created() {
    if (!common_vendor.index.getStorageSync("sysInfo")) {
      common_vendor.index.showLoading({ title: "加载中" });
      utils_functions.api.uniSysInfo().then((data) => {
        common_vendor.index.hideLoading();
      }).catch((err) => {
        common_vendor.index.hideLoading();
        common_vendor.index.$u.toast(err);
      });
    }
  }
};
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "E:/Project/pet_uni/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(common_vendor.uviewPlus);
  app.use(store.store);
  common_vendor.index.$u.config.unit = "rpx";
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
