"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  props: {
    footGroup: {
      type: Object,
      default: {}
    },
    footCheck: {
      type: Number,
      default: 0
    }
  },
  data() {
    return {
      check: 0
    };
  },
  onLoad() {
    console.log(this.footGroup);
  },
  methods: {
    selectItem(index) {
      this.current = index;
      this.$emit("change", index);
    },
    commitFootCheck(item) {
      this.$store.commit("footCheck", item.name);
      this.$store.commit("title", item.title);
      console.log("commit");
    },
    isFootCheck() {
    }
  },
  mounted() {
    this.check = this.footCheck;
  },
  watch: {
    "$store.state.footCheck": {
      handler(newVal, oldVal) {
        this.footCheck = newVal;
      }
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($props.footGroup, (item, index, i0) => {
      return {
        a: item.name === $props.footCheck ? 1 : "",
        b: "url(" + item.image + (index === $props.footCheck ? "-active" : "") + ".png)",
        c: "auto " + (index === $props.footCheck ? "81" : "54") + "rpx",
        d: common_vendor.o(($event) => $options.selectItem(index))
      };
    })
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/components/FooterNav/Index.vue"]]);
wx.createComponent(Component);
