"use strict";
const common_vendor = require("../../common/vendor.js");
const config_host = require("../../config/host.js");
const _sfc_main = {
  data() {
    return {
      title: "Hello",
      loading: true,
      buttonGroup: [
        {
          image: config_host.imghost + "/static/image/right-button-wechat.png",
          type: "wechat"
        },
        {
          image: config_host.imghost + "/static/image/right-button-chat.png",
          type: "chat"
        },
        {
          image: config_host.imghost + "/static/image/right-button-phone.png",
          type: "phone"
        }
      ]
    };
  },
  onLoad() {
  },
  methods: {
    callPhone(phone) {
      common_vendor.index.makePhoneCall({
        phoneNumber: phone.toString()
      });
    },
    handle(type) {
      switch (type) {
        case "chat":
          common_vendor.index.navigateTo({
            url: "/pages/ChatDetail/index?id=0"
          });
      }
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.buttonGroup, (item, index, i0) => {
      return {
        a: "url(" + item.image + ")"
      };
    })
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/components/RightNav/Index.vue"]]);
wx.createComponent(Component);
