import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import uviewPlus from 'uview-plus'
import mView from '@/uni_modules/m-view'
import { createSSRApp } from 'vue'
import { title } from '@/config/host.js'
import store from "@/store";

export function createApp() {
  const app = createSSRApp(App)
  app.use(uviewPlus)
  app.use(store)
  app.use(mView)
  uni.$u.config.unit = 'rpx'
  return {
    app
  }
}
// #endif