import {title} from "@/config/host";
import { createStore } from 'vuex'
import log from "@/utils/log";

const store = createStore({
    state () {
        return {
            footCheck:'home',
            title:title,
            userInfo:{},
            userExtends:{},
        }
    },
    getters:{

    },
    mutations: {
        footCheck (state,check) {
            state.footCheck = check
        },
        title (state,title) {
            state.title = title
        },
        userInfo (state,userInfo) {
            state.userInfo = userInfo
        },
        userExtends (state,userExtends) {
            state.userExtends = userExtends
        },
    }
})
export default store;