"use strict";
const config_host = require("../../config/host.js");
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  name: "MzButton",
  props: {
    title: {
      type: String,
      default: "确认"
    },
    buttonColor: {
      type: String,
      default: "#FFFFFF"
    },
    fontColor: {
      type: String,
      default: "#131313"
    },
    buttonWidth: {
      type: String,
      default: "100%"
    },
    isBackground: {
      type: Boolean,
      default: true
    },
    fontSize: {
      type: String,
      default: "30rpx"
    },
    paddingTb: {
      type: String,
      default: "15rpx"
    },
    btnStyle: {
      type: Object,
      default: {}
    }
  },
  data() {
    return {
      loading: true,
      buttonBackground: config_host.imghost + "/static/image/small-button-background.png",
      staticImage: {
        buttonBackground: config_host.imghost + "/static/image/small-button-background.png"
      }
    };
  },
  onLoad() {
  },
  methods: {
    clickHandle(e) {
      this.$emit("click", e);
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($props.title),
    b: common_vendor.s(Object.assign($props.btnStyle, {
      backgroundImage: $props.isBackground ? "url(" + $data.staticImage.buttonBackground + ")" : "",
      fontSize: $props.fontSize,
      padding: $props.paddingTb + " 0"
    })),
    c: $props.buttonColor,
    d: $props.fontColor,
    e: $props.buttonWidth,
    f: common_vendor.o((...args) => $options.clickHandle && $options.clickHandle(...args))
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/components/MzButton/Index.vue"]]);
wx.createComponent(Component);
